Bug 911091 - [User Portal] UserVmManager cannot edit Custom properties
[User Portal] UserVmManager cannot edit Custom properties
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: 3.2.0
Assigned To: Oved Ourfali
Jiri Belka
virt
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-02-14 05:58 EST by Jiri Belka
Modified: 2013-06-11 05:28 EDT (History)
8 users (show)

See Also:
Fixed In Version: sf9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 12171 None None None Never

  None (edit)
Description Jiri Belka 2013-02-14 05:58:59 EST
Description of problem:
If I understand that correctly custom properties should be edited only in Administration Portal. UserVmManager cannot edit it in the UP, although SuperUser role can edit it in the UP.

So either "hide" for all irrelevant roles in the UP, or remote it completely from the UP like 'Host' side-menu in 'Edit VM' dialog is removed from the UP.

If there should be way to edit Custom properties in the UP, then please state clearly which roles should see this menu and which should be able to edit them.

Version-Release number of selected component (if applicable):
sf7

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jiri Belka 2013-02-14 06:22:47 EST
2013-02-14 12:22:08,718 WARN  [org.ovirt.engine.core.bll.UpdateVmCommand] (ajp-/127.0.0.1:8702-9) [6f4a9667] CanDoAction of action UpdateVm failed. Reasons:VAR__ACTION__UPDATE,VAR__TYPE__VM,USER_NOT_AUTHORIZED_TO_PERFORM_ACTION
Comment 2 Oved Ourfali 2013-02-17 06:31:07 EST
Currently we never enable/disable options in the UI according to the permissions.
In this case, in order to update the custom properties, you need one of the following roles:

SuperUser
ClusterAdmin
DataCenterAdmin

Simon - is there any other role that you think such a permission is relevant to?
If not, assuming all the roles above are administrator roles, then it would be a good idea to remove it.
Comment 7 Jiri Belka 2013-02-22 07:11:33 EST
Not working in new build - sf8. Still Custom Properties visible in UP and if UserVmManager tries to add a property the action is denied. I suppose you want to hide it, right?
Comment 9 Jiri Belka 2013-03-05 08:50:03 EST
OK, sf9, custom properties not visible anymore in UP.
Comment 10 Itamar Heim 2013-06-11 04:56:25 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 04:56:25 EDT
3.2 has been released
Comment 12 Itamar Heim 2013-06-11 04:56:34 EDT
3.2 has been released
Comment 13 Itamar Heim 2013-06-11 04:59:04 EDT
3.2 has been released
Comment 14 Itamar Heim 2013-06-11 05:28:31 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.